RESOLVD(8)

NAME
resolvd - a daemon to handle nameserver configuration

SYNOPSIS
resolvd [-dv]

DESCRIPTION
resolvd handles the contents of /etc/resolv.conf, which contains details of the system's DNS nameservers, and is read by the resolver routines in the C library. Nameservers are learned from various sources, incorporated in a priority order, then user-edited information found in the pre-existing file is re-appended.

resolvd checks whether unwind(8) is running, and if so places

    nameserver 127.0.0.1

at the top, to cause local resolution.

resolvd also monitors the routing socket for proposals learned by dhclient(8), dhcpleased(8), iked(8), slaacd(8), or network devices which natively learn DNS information such as sppp(4) or umb(4). Proposals can also be sent using the route(8) nameserver command.

These proposals are added in priority order, but commented out if unwind(8) is running.

After that, resolvd appends all user-edited lines found in the file.

resolvd also notices if the /etc/resolv.conf file is edited, and will rewrite the file, re-blending the various pieces of information. It will also create /etc/resolv.conf if it does not exist or if it is empty.

The options are as follows:

-d  Do not daemonize. If this option is specified, resolvd will run in the foreground and log to stderr.

-v  Produce more verbose output.

SEE ALSO
resolv.conf(5), dhclient(8), dhcpleased(8), route(8), slaacd(8), unwind(8)

HISTORY
The resolvd program first appeared in OpenBSD 6.9.